TechDraw LeaderLine/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "L'outil LeaderLine ajoute une ligne à une vue. D'autres objets d'annotation (tels que RichTextBlock) peuvent être connectés à LeaderLine pour...")
(Created page with "{{Caption|Ligne maîtresse ajoutée à View001}}")
Line 16: Line 16:


[[Image:TechDraw_LeaderLine_sample.png]]
[[Image:TechDraw_LeaderLine_sample.png]]
{{Caption|Leader line added to View001}}
{{Caption|Ligne maîtresse ajoutée à View001}}


==How to use==
==How to use==

Revision as of 09:31, 18 May 2019

Other languages:

File:Techdraw-mline.svg TechDraw LeaderLine

Emplacement du menu
TechDraw → LeaderLine
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Templates, Draft SVG, RichTextBlock

Description

L'outil LeaderLine ajoute une ligne à une vue. D'autres objets d'annotation (tels que RichTextBlock) peuvent être connectés à LeaderLine pour former des annotations complexes.

Ligne maîtresse ajoutée à View001

How to use

  1. Press the File:Techdraw-mline.svg LeaderLine button
  2. A Task dialog will open. The dialog allows drawing of the leader line and assigning end symbols to the line.
  3. The Pick points button starts a line drawing function. Line drawing always starts at the point the line is to be attached to the View.
  4. Click to add a point, move the mouse to draw a line segment.
  5. To exit the line editor, double click, press Right Mouse Button or press the Escape Edit button in the dialog.
  6. After the line is created, it can be edited by double clicking the LeaderLine in the Tree.


Properties

  • DonnéesX,Y: The point at which the leader line is connected to the View.
  • DonnéesLeader Parent: The View to which the leader is attached.
  • DonnéesStart Symbol: The line end symbol (arrowhead) at the View end.
  • DonnéesEnd Symbol: The line end symbol at the annotation block end.
  • DonnéesWayPoints: Nodes on the leader line.
  • DonnéesScalable: Leader scales with Leader Parent.
  • VueColor: Pen colour for the leader line.
  • VueLine Style: 0 - No Line, 1 - Solid Line, ...
  • VueLine Width: Weight of leader line.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5


Notes

  • This feature was added in v0.19
  • You can edit your LeaderLine by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.
  • The leader line can be edited by pressing "Edit points" while in edit mode. To exit point editing: press "Escape editing", press ESC or press RightMouseButton (RMB).